export default class SensorBuffer {

  constructor(size) {
    this.maxSize = size;
    this.data = [];
    this.i = 0;
  }

  get length() {
    return this.data.length;
  }

  push(x) {
    if (this.i >= this.maxSize) {
      this.i = 0;
    }
      this.data[this.i] = x;
      this.i++;
  }

  get last() {
    return this.data[this.i - 1];
  }

  get mean() {
    return this.data.reduce((acc, val) => acc + val, 0) / this.length;
  }

}
